import axios from '@/utils/axios'

export default {

    /**
     * 查询组别/分析项接口
     * @param {*} data type==1是组别，type==2是分析项
     * @returns 
     */
    queryAnalyseGroup(data) {
        return axios.post('/xiaoshi/customAnalyse/queryAnalyseGroup', data)
    },
    /**
    * 删除组别/分析项接口
    */
    delAnalyseGroup(data) {
        return axios.post('/xiaoshi/customAnalyse/delAnalyseGroup', data)
    },
    /**
    * 添加组别/分析项接口
    */
    addAnalyseGroup(data) {
        return axios.post('/xiaoshi/customAnalyse/addAnalyseGroup', data)
    },
    /**
    * 编辑组别/分析项接口
    */
    editAnalyseGroup(data) {
        return axios.post('/xiaoshi/customAnalyse/editAnalyseGroup', data)
    },
    /**
    * 查询组别/分析项详情包含图表接口
    */
    queryAnalyseDetail(data) {
        return axios.post('/xiaoshi/customAnalyse/queryAnalyseDetail', data)
    },
    /**
    * 分析统计的栏位日期最大/最小值接口
    */
    getFieldRange(data) {
        return axios.post('/xiaoshi/patent/getFieldRange', data)
    },
}
